# Uses of Class
org.snpeff.vcf.VcfHeaderInfo

Packages that use VcfHeaderInfo
Package
Description
org.snpeff.vcf

## Uses of VcfHeaderInfo in org.snpeff.vcf

Subclasses of VcfHeaderInfo in org.snpeff.vcf
Modifier and Type
Class
Description
`class`
`VcfHeaderFormat`
Methods in org.snpeff.vcf that return VcfHeaderInfo
Modifier and Type
Method
Description
`VcfHeaderInfo`
VcfHeader.`getVcfHeaderInfo(String id)`
Get Info type for a given ID
`VcfHeaderInfo`
VcfEntry.`getVcfInfo(String id)`
Get VcfInfo type for a given ID
Methods in org.snpeff.vcf that return types with arguments of type VcfHeaderInfo
Modifier and Type
Method
Description
`Collection<VcfHeaderInfo>`
VcfHeader.`getVcfHeaderInfo()`
Get all VcfInfo entries
Methods in org.snpeff.vcf with parameters of type VcfHeaderInfo
Modifier and Type
Method
Description
`void`
VcfHeader.`addInfo(VcfHeaderInfo vcfInfo)`
Add a VCF INFO header definition
`boolean`
VcfHeader.`hasInfo(VcfHeaderInfo vcfInfo)`
Do we already have this 'info' header?
Constructors in org.snpeff.vcf with parameters of type VcfHeaderInfo
Modifier
Constructor
Description
``
`VcfHeaderInfo(VcfHeaderInfo header)`